Bug 1459317 - ACPI Error / Exception AE_AML_OPERAND_TYPE
ACPI Error / Exception AE_AML_OPERAND_TYPE
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
27
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 15:08 EDT by Gianfranco Cecconi
Modified: 2018-05-10 10:16 EDT (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianfranco Cecconi 2017-06-06 15:08:45 EDT
Description of problem:

Since kernel 4.11.3-200 I am getting errors at boot just after grub as described below.

How reproducible:

Fully reproducible at every boot.


Steps to Reproduce:
1. Just boot Fedora

Actual results:

After selecting the latest kernel on Grub, I get the following:

[some timestamp] ACPI Error: Needed type [Reference], found [Integer] ffff9915c5701168 (20170119/exresop-103)
[some timestamp] ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170119/dswexec-461)
[some timestamp] ACPI Error: Method parse/execution failed [\_PR.CPU0._PDC] (Mode ffff9915c90eb780), AE_AML_OPERAND_TYPE (20170119/psparse-543)

Expected results:

I'd expect no errors nor warnings.

Additional info:

I am also experiencing this issue at the same stage in the boot process https://bugzilla.redhat.com/show_bug.cgi?id=1435837 but it is precedent and has been around since March 2017 without resolution. My guess is that the two issues are not related.
Comment 1 schlaffi 2017-06-14 05:25:36 EDT
Same here with 4.11.3-202 on a 

System Information
        Manufacturer: Apple Inc.
        Product Name: MacBookPro11,1
        Version: 1.0

Knowing Apple, I guess a bug on their side.
Comment 2 daniel.gongora 2017-06-26 13:02:50 EDT
Experiencing the same behavior on kernel 4.11.6-201.fc25.x86_64

sudo dmidecode | grep -A3 '^System Information'                                                          
System Information
        Manufacturer: LENOVO
        Product Name: 20BUA0RSCL
        Version: ThinkPad T450
Comment 3 Michael John Arnold 2017-07-06 21:29:30 EDT
Same here on 4.11.7-200.fc25.x86_64:
	Manufacturer: LENOVO
	Product Name: 20ARA1E4SG
	Version: ThinkPad T440s

BOOT_IMAGE=/vmlinuz-4.11.7-200.fc25.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_SG.UTF-8

Although the screen error message is the same as above, the preceding line shown via 'journalctl -b' is:
[Some timestamp]: ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
Comment 4 Eugene Mah 2017-09-22 17:07:50 EDT
Seeing the same message on an ASUS X75A laptop with a fresh F26 install. Currently running kernel 4.12.14-300.fc26.x86_64.

CPU: Intel Core i5-3230M

UEFI system if that helps any.

[    0.218572] ACPI: Added _OSI(Module Device)
[    0.218573] ACPI: Added _OSI(Processor Device)
[    0.218573] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.218574] ACPI: Added _OSI(Processor Aggregator Device)
[    0.218580] ACPI : EC: EC started
[    0.218581] ACPI : EC: interrupt blocked
[    0.219439] ACPI: \: Used as first EC
[    0.219440] ACPI: \: GPE=0x19, EC_CMD/EC_SC=0x66, EC_DATA=0x62
[    0.219441] ACPI: \: Used as boot ECDT EC to handle transactions
[    0.219578] ACPI: Executed 1 blocks of module-level executable AML code
[    0.223943] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[    0.224110] ACPI Error: Needed type [Reference], found [Integer] ffff8dd116573a68 (20170303/exresop-103)
[    0.224117] ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170303/dswexec-461)
[    0.224121] ACPI Error: Method parse/execution failed [\_PR.CPU0._PDC] (Node ffff8dd116570168), AE_AML_OPERAND_TYPE (20170303/psparse-543)
Comment 5 Raif S. Naffah 2017-10-08 21:09:19 EDT
same/similar here:

... kernel: ACPI: Added _OSI(Module Device)
... kernel: ACPI: Added _OSI(Processor Device)
... kernel: ACPI: Added _OSI(3.0 _SCP Extensions)
... kernel: ACPI: Added _OSI(Processor Aggregator Device)
... kernel: ACPI: Executed 1 blocks of module-level executable AML code
... kernel: ACPI Error: Needed type [Reference], found [Integer] ffff9dc27c4d9948 (20170531/exresop-103)
... kernel: ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (201705$
... kernel: ACPI Error: Method parse/execution failed \_PR.CPU0._PDC, AE_AML_OPERAND_TYPE (20170531/psparse-55$


$ uname -a
Linux localhost.localdomain 4.13.4-200.fc26.x86_64 #1 SMP Thu Sep 28 20:46:39 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux


$ sudo dmidecode | grep -A3 '^System Information'
System Information
        Manufacturer: TOSHIBA
        Product Name: Satellite P870
        Version: PSPLBA-02700S
Comment 6 Shatadru Bandyopadhyay 2017-10-21 12:02:10 EDT
Oct 21 03:59:40 localhost kernel: ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
Oct 21 03:59:40 localhost kernel: ACPI Error: Needed type [Reference], found [Integer] ffff982ceb8d3bd0 (20170531/exresop-103)
Oct 21 03:59:40 localhost kernel: ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170531/dswexec-461)
Oct 21 03:59:40 localhost kernel: ACPI Error: Method parse/execution failed \_PR.CPU0._PDC, AE_AML_OPERAND_TYPE (20170531/psparse-550)


  BIOS:
    Vend: LENOVO
    Vers: GLET84WW (2.38 )
    Date: 08/18/2016
    BIOS Rev: 2.38
    FW Rev:   1.12
  System:
    Mfr:  LENOVO
    Prod: 20AWS2A101
    Vers: ThinkPad T440p

# uname -a
Linux localhost.localdomain 4.13.5-200.fc26.x86_64 #1 SMP Thu Oct 5 16:53:13 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux


# cat /etc/fedora-release 
Fedora release 26 (Twenty Six)
Comment 7 RyanEatsFish 2017-10-26 01:50:35 EDT
Me Too

ACPI: EC: EC started
[    0.229328] ACPI: EC: interrupt blocked
[    0.230552] ACPI: \: Used as first EC
[    0.230553] ACPI: \: GPE=0x25, EC_CMD/EC_SC=0x66, EC_DATA=0x62
[    0.230554] ACPI: \: Used as boot ECDT EC to handle transactions
[    0.233272] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[    0.239492] ACPI Error: Needed type [Reference], found [Integer] ffff95cc816e04c8 (20170531/exresop-103)
[    0.239499] ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170531/dswexec-461)
[    0.239504] ACPI Error: Method parse/execution failed \_PR.CPU0._PDC, AE_AML_OPERAND_TYPE (20170531/psparse-550)


uname -r 
4.13.8-200.fc26.x86_64

System Information
	Manufacturer: LENOVO
	Product Name: 20E20010US
	Version: ThinkPad W550s
Comment 8 Fedora End Of Life 2017-11-16 10:44:10 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 9 Shatadru Bandyopadhyay 2017-11-16 21:48:37 EST
This is relevant in Fedora 27 as well
Comment 10 Vladimir 2017-12-28 08:56:47 EST
Same thing 
[    5.035775] ACPI Error: Needed [Buffer/String/Package], found [Integer] ffff8b2197c72750 (20170728/exresop-593)
[    5.035806] ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170728/dswexec-461)
[    5.035837] ACPI Error: Method parse/execution failed \_SB.WMIV.WVPO, AE_AML_OPERAND_TYPE (20170728/psparse-550)
[    5.035864] ACPI Error: Method parse/execution failed \_SB.WMIV.WMPV, AE_AML_OPERAND_TYPE (20170728/psparse-550)
[    5.036576] ACPI Error: Needed [Buffer/String/Package], found [Integer] ffff8b2197c72318 (20170728/exresop-593)
[    5.036603] ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170728/dswexec-461)
[    5.036632] ACPI Error: Method parse/execution failed \_SB.WMIV.WVPO, AE_AML_OPERAND_TYPE (20170728/psparse-550)
[    5.036659] ACPI Error: Method parse/execution failed \_SB.WMIV.WMPV, AE_AML_OPERAND_TYPE (20170728/psparse-550)
[    5.037343] ACPI Error: Needed [Buffer/String/Package], found [Integer] ffff8b2197c72168 (20170728/exresop-593)
[    5.037369] ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170728/dswexec-461)
[    5.037398] ACPI Error: Method parse/execution failed \_SB.WMIV.WVPO, AE_AML_OPERAND_TYPE (20170728/psparse-550)
[    5.037424] ACPI Error: Method parse/execution failed \_SB.WMIV.WMPV, AE_AML_OPERAND_TYPE (20170728/psparse-550)
[    5.037492] input: HP WMI hotkeys as /devices/virtual/input/input13
[    5.045137] hp_wmi: query 0x5 returned error 0x3
[    5.045219] ACPI Error: Attempt to CreateField of length zero (20170728/dsopcode-168)
[    5.045246] ACPI Error: Method parse/execution failed \_SB.WMIV.WVPI, AE_AML_OPERAND_VALUE (20170728/psparse-550)
[    5.045279] ACPI Error: Method parse/execution failed \_SB.WMIV.WMPV, AE_AML_OPERAND_VALUE (20170728/psparse-550)

System Information
	Manufacturer: HP
	Product Name: HP ProDesk 600 G2 SFF

Distributor ID:	Fedora
Description:	Fedora release 27 (Twenty Seven)

Kernel: 4.14.8-300.fc27.x86_64
Comment 11 cpacchierotti 2018-01-03 07:39:01 EST
I am experiencing the same.

[    7.737458] ACPI Error: Needed [Buffer/String/Package], found [Integer] ffff9af5d04a8630 (20170728/exresop-593)
[    7.737512] ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170728/dswexec-461)
[    7.737568] ACPI Error: Method parse/execution failed \_SB.WMIV.WVPO, AE_AML_OPERAND_TYPE (20170728/psparse-550)
[    7.737617] ACPI Error: Method parse/execution failed \_SB.WMIV.WMPV, AE_AML_OPERAND_TYPE (20170728/psparse-550)
[    7.738685] ACPI Error: Needed [Buffer/String/Package], found [Integer] ffff9af5d04a8bd0 (20170728/exresop-593)
[    7.738735] ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170728/dswexec-461)
[    7.738788] ACPI Error: Method parse/execution failed \_SB.WMIV.WVPO, AE_AML_OPERAND_TYPE (20170728/psparse-550)
[    7.738980] ACPI Error: Method parse/execution failed \_SB.WMIV.WMPV, AE_AML_OPERAND_TYPE (20170728/psparse-550)
[    7.739799] ACPI Error: Needed [Buffer/String/Package], found [Integer] ffff9af5d04a83a8 (20170728/exresop-593)
[    7.739847] ACPI Exception: AE_AML_OPERAND_TYPE, While resolving operands for [OpcodeName unavailable] (20170728/dswexec-461)
[    7.739900] ACPI Error: Method parse/execution failed \_SB.WMIV.WVPO, AE_AML_OPERAND_TYPE (20170728/psparse-550)
[    7.739948] ACPI Error: Method parse/execution failed \_SB.WMIV.WMPV, AE_AML_OPERAND_TYPE (20170728/psparse-550)
[    7.740221] input: HP WMI hotkeys as /devices/virtual/input/input24
[    7.744819] ACPI Error: Attempt to CreateField of length zero (20170728/dsopcode-168)
[    7.744859] ACPI Error: Method parse/execution failed \_SB.WMIV.WVPI, AE_AML_OPERAND_VALUE (20170728/psparse-550)
[    7.744907] ACPI Error: Method parse/execution failed \_SB.WMIV.WMPV, AE_AML_OPERAND_VALUE (20170728/psparse-550)


System Information
	Manufacturer: HP
	Product Name: HP EliteBook G3

Distributor ID:	Fedora
Description:	Fedora release 27 (Twenty Seven)

Kernel: 4.14.8-300.fc27.x86_64
Comment 12 cpacchierotti 2018-01-24 09:34:42 EST
Still there with 4.14.14-300.fc27.x86_64
Comment 13 fademind 2018-02-15 07:25:25 EST
Reported directly on Linux Kernel Bugzilla here: https://bugzilla.kernel.org/show_bug.cgi?id=198781

Bug still exists in 4.15.x series.

Regards

Note You need to log in before you can comment on or make changes to this bug.